#!/usr/bin/perl 

=copyright
	Copyright 2008 Tom Chiverton 
	 
	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
=cut

use zenus;
use Getopt::Long;

my $version="1.1.2";

GetOptions("output|o=s" => \$mode,	
	"account|a=s" => \$account, "password=s" => \$password, "username=s" => \$username
	);

zenus::login("$username","$password");

my ($name,$used,$avail,$per,$uploadAmount)=zenus::getUsage("$account");

my $remain=$avail-$used;

if ($mode eq 'human' || $mode eq 'human-usage'){
	$percentused=0;
	if ($avail > 0) { $percentused = $used/$avail*100; }
	$percentused = sprintf("%.2f", $percentused);
	$percentleft = 100-$percentused;
	
	$used=sprintf("%.2f",$used);
	$remain=sprintf("%.2f",$remain);	
	
	print "Allowed: $avail";
	print "GB   Used: $used";
	print "GB (";
	print "$percentused";
	print "%)   Remaining: $remain";
	print "GB (";
	print "$percentleft";
	print "%)\n";
}
if ($mode eq 'human-usage'){
	my ($dayofmonth,$percentmonth,$dailyusagetodate,$dailyusageremaining,$exhaustdate,
		$estEndOfMonthUsage,$daysInMonth)=
			zenus::estimateRemaining($used,$avail);
	
	print "It is day $dayofmonth of the month - ".sprintf("%.2f",$percentmonth);
	print "% of the way through.\n";
	print "So far, you have been using ".sprintf("%.2f",$dailyusagetodate)."GB/day.\n";
	print "There is ".sprintf("%.2f",$dailyusageremaining)."GB/day left until the end of the month.\n";
	print "Or at the the end of the month, usage will be ".sprintf("%.2f",$estEndOfMonthUsage)."GB";
	if ($exhaustdate < $daysInMonth-$dayofmonth){
		print ", usage exhausted in ".sprintf("%.2f",$exhaustdate)." days\n";
	}else{
		print ".\n";
	}
}elsif ($mode eq 'usage'){
	my ($dayofmonth,$percentmonth,$dailyusagetodate,$dailyusageremaining,$exhaustdate,
		$estEndOfMonthUsage,$daysInMonth)=
			zenus::estimateRemaining($used,$avail);
	print "allowed:$avail used:$used remain:$remain dayofmonth:$dayofmonth maxperday:$dailyusageremaining estexhaust:$exhaustdate estmonthusage:$estEndOfMonthUsage daysinmonth:$daysInMonth uploadAmount:$uploadAmount\n";
}elsif ($mode ne 'human'){	
	print "allowed:$avail used:$used remain:$remain\n";
}
